%define name 	nagios_addons_ru
%define version 1.0.0
%define release 2.ru6
%ifarch i386
%define prefix /usr/local/lib/nagios/plugins
%else
%define prefix /usr/local/lib64/nagios/plugins
%endif

Summary:	Rutgers nagios addons
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.nagios.org
Distribution:   RU-Linux
Vendor:         NBCS-OSS
BuildRoot: 	%{_tmppath}/%{name}-root
Packager: 	Naveen Gavini <ngavini@nbcs.rutgers.edu>
Requires:	nagios	

%description
Nagios is a program that will monitor hosts and 
services on your network.

These addons are home-grown at Rutgers. 

%prep
%setup 

%build

%install
mkdir -m 0755 -p $RPM_BUILD_ROOT%{prefix}/eventhandlers
mkdir -m 0755 -p $RPM_BUILD_ROOT/usr/local/sbin
install -m 0755 submit_check_result $RPM_BUILD_ROOT%{prefix}/eventhandlers
install -m 0755 submit_host_check_result $RPM_BUILD_ROOT%{prefix}/eventhandlers
install -m 0755 nasom $RPM_BUILD_ROOT/usr/local/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{prefix}/eventhandlers
%{prefix}/eventhandlers/*
%attr(0755, root, root) /usr/local/sbin/nasom

%changelog
* Fri Feb 10 2012 Josh Matthews <jam761@nbcs.rutgers.edu> - 1.0.0-2.ru6
- changed install path to /usr/local/lib64/nagios instead of /usr/lib64/nagios
* Thu Feb 09 2012 Phillip Quiza <pquiza@nbcs.rutgers.edu> - 1.0.0-1.ru6
- Rebuilt for Rutgers CentOS 6
* Mon Jul 20 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 1.0.0-10
- Added submit_host_check_result 
* Mon Jun 13 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 1.0.0-9
- Updated nasom script
* Mon Apr 20 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 1.0.0-8
- updated nasom script
* Wed Mar 11 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 1.0.0-7
- updated nasom script
* Wed Feb 25 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 1.0.0-5
- Updated nasom script
* Mon Feb 16 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 1.0.0-3
- Updated nasom script.
* Wed Feb 04 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 1.0.0-2
- Updated nasom script.
* Tue Jan 27 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 1.0.0-1
- Initial build. 
